# Basic setup
mpd_host = localhost
mpd_port = 6600
mpd_music_dir = ~/Music
lyrics_directory = ~/.local/share/ncmpcpp
ncmpcpp_directory = ~/.config/ncmpcpp

# genius.com has some problems
lyrics_fetchers = tekstowo, azlyrics, sing365, metrolyrics, justsomelyrics, jahlyrics, plyrics, internet

# Visualizer
visualizer_data_source = /tmp/mpd.fifo
visualizer_output_name = 'Visualizer feed'
visualizer_in_stereo = yes
visualizer_type = spectrum
visualizer_look = ●┃
visualizer_fps = 60
visualizer_spectrum_smooth_look = yes
visualizer_autoscale = yes
visualizer_color = blue, cyan, green, yellow, magenta
visualizer_spectrum_dft_size = 2

# Interface
colors_enabled = yes
browser_display_mode = columns
playlist_display_mode = columns
playlist_show_remaining_time = no
playlist_show_mpd_host = no
autocenter_mode = yes
centered_cursor = yes
user_interface = classic
ignore_leading_the = yes
display_bitrate = no
progressbar_look = "━━"
progressbar_elapsed_color = blue
progressbar_color = black
empty_tag_marker = "--"
# song_columns_list_format = "(10)[yellow]{l} (30)[green]{a} (60)[blue]{t}"
song_columns_list_format = "(55)[blue]{tr} (45)[green]{a}"
header_window_color = blue
volume_color = yellow
statusbar_color = blue
main_window_color = blue
state_flags_color = blue
state_line_color = blue
statusbar_time_color = yellow
alternative_ui_separator_color = black
alternative_header_first_line_format = "$5$9 {$5$b%t$/b$9}|{$8$b%f$/b$9} $5$9"
alternative_header_second_line_format = "{{$4$b%a$/b$9}{ - $7%b$9}{ ($4%y$9)}}|{%D}"
titles_visibility = no
header_visibility = yes
enable_window_title = no
statusbar_visibility = yes
startup_screen = playlist

# Behaviors
cyclic_scrolling = yes
system_encoding = utf-8
regular_expressions = extended
space_add_mode = add_remove
mouse_support = no
external_editor = /usr/bin/nvim
use_console_editor = yes
follow_now_playing_lyrics = yes
jump_to_now_playing_song_at_start = yes
allow_for_physical_item_deletion = no
